List callback credentials
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"credentials": [
{
"createdAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalSystem": "<string>",
"lastUsedAt": "<string>",
"revokedAt": "<string>",
"rotatedAt": "<string>"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}List callback credentials
Lists the caller tenant’s callback credentials (live and revoked), newest first. Returns metadata only — never the token or its hash.
GET
/
v1
/
exceptions
/
callbacks
/
credentials
List callback credentials
curl --request GET \
--url https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://matcher.sandbox.lerian.net/v1/exceptions/callbacks/credentials"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"credentials": [
{
"createdAt": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"externalSystem": "<string>",
"lastUsedAt": "<string>",
"revokedAt": "<string>",
"rotatedAt": "<string>"
}
]
}{
"code": "ERR-0001",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Was this page helpful?

